@ int dv(int num, int den)
@ Divide two signed integers.

.THUMB
.THUMB_FUNC
.ALIGN
.GLOBL  dv

dv:
  cmp r1, #0
  beq 0f
  swi 6
  bx lr
0:
  ldr r0, =0x7fffffff
  bx lr


@ int wait4vbl(void)
@ Wait for vblank.  Requires a working ISR to be installed and the
@ vblank IRQ and mask to be turned on.

.THUMB
.THUMB_FUNC
.ALIGN
.GLOBL  wait4vbl

wait4vbl:
  mov r2, #0
  swi 0x05
  bx lr


@ void gblz_unpack(const void *src, void *dst)
@ Unpack GB LZSS format data.

.THUMB
.THUMB_FUNC
.ALIGN
.GLOBL  gblz_unpack

gblz_unpack:
  swi 0x11  @ LZ77UnCompWRAM
  bx lr


